PETSc version 3.15.5
Fix/Edit manual page

# PCGetType

Gets the PC method type and name (as a string) from the PC context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetType(PC pc,PCType *type)

Not Collective

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| type | - name of preconditioner method

### See Also

PCSetType()

### Level

intermediate

### Location

src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages